{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.wezterm;
in {
  options.marleyos.programs.wezterm.enable = lib.mkEnableOption "wezterm";

  config = lib.mkIf cfg.enable {
    homebrew.casks = ["wezterm"];
  };
}
